# # #
# /32/unary_example.rb
# (c) 2010 Jan Lelis <mail@janlelis.de>. MIT License.
# See: https://rbjl.janlelis.com/32-introducing-ruby-zucker-a-new-syntactical-sugar-gem
# # #

require 'zucker/unary' # or 'zucker/all'

# Sometimes, you do not care if you get a String or Symbol as input - but often,
# you need to choose one later in your code. A concise possibility for this
# conversion is using the unary operators String#-@ and Symbol#+@

+:symbol # => 'symbol' (1.9)

now = { :rugb => true , :whyday => false }
input = 'rugb'
now[-input] # => true
